# This is an example goreleaser.yaml file with some sane defaults.
# Make sure to check the documentation at http://goreleaser.com
project_name: cloudflaredyn

before:
  hooks:
    # you may remove this if you don't use vgo
    - go mod tidy
    # you may remove this if you don't need go generate
    - go generate ./...
builds:
- 
  env:
  - CGO_ENABLED=0
  goos:
  - freebsd
  - windows
  - linux
  - darwin
  binary: "{{.ProjectName}}"
archives:
- replacements:
    darwin: Darwin
    linux: Linux
    windows: Windows
    386: i386
    amd64: x86_64
checksum:
  name_template: 'checksums.txt'
snapshot:
  name_template: "{{ .Tag }}-next"
changelog:
  sort: asc
  filters:
    exclude:
    - '^docs:'
    - '^test:'
dockers:
  -
    # GOOS of the built binary that should be used.
    goos: linux
    # GOARCH of the built binary that should be used.
    goarch: amd64
    binaries:
    - "{{.ProjectName}}"
    # Path to the Dockerfile (from the project root).
    dockerfile: Dockerfile
    image_templates:
    - "terrabitz/{{.ProjectName}}:{{ .Tag }}"
    - "terrabitz/{{.ProjectName}}:v{{ .Major }}"
    - "terrabitz/{{.ProjectName}}:latest"
